a7b24931f73a5aa63637a59069945b1a17af10fa
[scilab.git] / scilab / modules / randlib / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2016 - Scilab Enterprises - Clement DAVID
20 #
21 #
22 # This file is distributed under the same license as the Scilab package.
23
24 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
25 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
26 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
27 #
28 # Copyright (C) 2012 - 2016 - Scilab Enterprises
29 #
30 # This file is hereby licensed under the terms of the GNU GPL v2.0,
31 # pursuant to article 5.3.4 of the CeCILL v.2.1.
32 # This file was originally licensed under the terms of the CeCILL v2.1,
33 # and continues to be available under such terms.
34 # For more information, see the COPYING file which you should have received
35 # along with this program.
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = { \
46   if test -z '$(MAKELEVEL)'; then \
47     false; \
48   elif test -n '$(MAKE_HOST)'; then \
49     true; \
50   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
51     true; \
52   else \
53     false; \
54   fi; \
55 }
56 am__make_running_with_option = \
57   case $${target_option-} in \
58       ?) ;; \
59       *) echo "am__make_running_with_option: internal error: invalid" \
60               "target option '$${target_option-}' specified" >&2; \
61          exit 1;; \
62   esac; \
63   has_opt=no; \
64   sane_makeflags=$$MAKEFLAGS; \
65   if $(am__is_gnu_make); then \
66     sane_makeflags=$$MFLAGS; \
67   else \
68     case $$MAKEFLAGS in \
69       *\\[\ \   ]*) \
70         bs=\\; \
71         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
72           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
73     esac; \
74   fi; \
75   skip_next=no; \
76   strip_trailopt () \
77   { \
78     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
79   }; \
80   for flg in $$sane_makeflags; do \
81     test $$skip_next = yes && { skip_next=no; continue; }; \
82     case $$flg in \
83       *=*|--*) continue;; \
84         -*I) strip_trailopt 'I'; skip_next=yes;; \
85       -*I?*) strip_trailopt 'I';; \
86         -*O) strip_trailopt 'O'; skip_next=yes;; \
87       -*O?*) strip_trailopt 'O';; \
88         -*l) strip_trailopt 'l'; skip_next=yes;; \
89       -*l?*) strip_trailopt 'l';; \
90       -[dEDm]) skip_next=yes;; \
91       -[JT]) skip_next=yes;; \
92     esac; \
93     case $$flg in \
94       *$$target_option*) has_opt=yes; break;; \
95     esac; \
96   done; \
97   test $$has_opt = yes
98 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
99 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
100 pkgdatadir = $(datadir)/@PACKAGE@
101 pkgincludedir = $(includedir)/@PACKAGE@
102 pkglibdir = $(libdir)/@PACKAGE@
103 pkglibexecdir = $(libexecdir)/@PACKAGE@
104 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
105 install_sh_DATA = $(install_sh) -c -m 644
106 install_sh_PROGRAM = $(install_sh) -c
107 install_sh_SCRIPT = $(install_sh) -c
108 INSTALL_HEADER = $(INSTALL_DATA)
109 transform = $(program_transform_name)
110 NORMAL_INSTALL = :
111 PRE_INSTALL = :
112 POST_INSTALL = :
113 NORMAL_UNINSTALL = :
114 PRE_UNINSTALL = :
115 POST_UNINSTALL = :
116 build_triplet = @build@
117 host_triplet = @host@
118 @NEED_JAVA_TRUE@am__append_1 = java
119 subdir = modules/randlib
120 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
122         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
123         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
124         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
125         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
126         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
127         $(top_srcdir)/m4/intel_compiler.m4 \
128         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
129         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
130         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
131         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
132         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
133         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
134         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
135         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
136         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
137         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
138         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
139 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
140         $(ACLOCAL_M4)
141 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
142 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
143 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
144 CONFIG_CLEAN_FILES =
145 CONFIG_CLEAN_VPATH_FILES =
146 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147 am__vpath_adj = case $$p in \
148     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149     *) f=$$p;; \
150   esac;
151 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152 am__install_max = 40
153 am__nobase_strip_setup = \
154   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155 am__nobase_strip = \
156   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157 am__nobase_list = $(am__nobase_strip_setup); \
158   for p in $$list; do echo "$$p $$p"; done | \
159   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161     if (++n[$$2] == $(am__install_max)) \
162       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163     END { for (dir in files) print dir, files[dir] }'
164 am__base_list = \
165   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167 am__uninstall_files_from_dir = { \
168   test -z "$$files" \
169     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171          $(am__cd) "$$dir" && rm -f $$files; }; \
172   }
173 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
174         "$(DESTDIR)$(libscirandlib_la_etcdir)" \
175         "$(DESTDIR)$(libscirandlib_la_rootdir)" \
176         "$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)"
177 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
178 libscirandlib_algo_la_LIBADD =
179 am__dirstamp = $(am__leading_dot)dirstamp
180 am__objects_1 = src/cpp/libscirandlib_algo_la-grand.lo
181 am__objects_2 = src/c/libscirandlib_algo_la-mt.lo \
182         src/c/libscirandlib_algo_la-igngeom.lo \
183         src/c/libscirandlib_algo_la-kiss.lo \
184         src/c/libscirandlib_algo_la-urand.lo \
185         src/c/libscirandlib_algo_la-clcg2.lo \
186         src/c/libscirandlib_algo_la-clcg4.lo \
187         src/c/libscirandlib_algo_la-sexpo.lo \
188         src/c/libscirandlib_algo_la-ignbin.lo \
189         src/c/libscirandlib_algo_la-ignpoi.lo \
190         src/c/libscirandlib_algo_la-sgamma.lo \
191         src/c/libscirandlib_algo_la-genbet.lo
192 am__objects_3 = src/fortran/gennf.lo src/fortran/genchi.lo \
193         src/fortran/setgmn.lo src/fortran/gengam.lo \
194         src/fortran/snorm.lo src/fortran/gennch.lo \
195         src/fortran/genmn.lo src/fortran/phrtsd.lo \
196         src/fortran/ignnbn.lo src/fortran/genf.lo \
197         src/fortran/genunf.lo src/fortran/genexp.lo \
198         src/fortran/genmul.lo src/fortran/genprm.lo \
199         src/fortran/gennor.lo
200 am_libscirandlib_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
201         $(am__objects_3)
202 libscirandlib_algo_la_OBJECTS = $(am_libscirandlib_algo_la_OBJECTS)
203 AM_V_lt = $(am__v_lt_@AM_V@)
204 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
205 am__v_lt_0 = --silent
206 am__v_lt_1 = 
207 am__DEPENDENCIES_1 =
208 libscirandlib_la_DEPENDENCIES = libscirandlib-algo.la \
209         $(am__DEPENDENCIES_1)
210 am__objects_4 = sci_gateway/cpp/libscirandlib_la-sci_grand.lo
211 am_libscirandlib_la_OBJECTS = $(am__objects_4)
212 libscirandlib_la_OBJECTS = $(am_libscirandlib_la_OBJECTS)
213 AM_V_P = $(am__v_P_@AM_V@)
214 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
215 am__v_P_0 = false
216 am__v_P_1 = :
217 AM_V_GEN = $(am__v_GEN_@AM_V@)
218 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
219 am__v_GEN_0 = @echo "  GEN     " $@;
220 am__v_GEN_1 = 
221 AM_V_at = $(am__v_at_@AM_V@)
222 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
223 am__v_at_0 = @
224 am__v_at_1 = 
225 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
226 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
227 am__maybe_remake_depfiles = depfiles
228 am__depfiles_remade =  \
229         sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Plo \
230         src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Plo \
231         src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Plo \
232         src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Plo \
233         src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Plo \
234         src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Plo \
235         src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Plo \
236         src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Plo \
237         src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Plo \
238         src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Plo \
239         src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Plo \
240         src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Plo \
241         src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Plo
242 am__mv = mv -f
243 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
244         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
245 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CFLAGS) $(CFLAGS)
249 AM_V_CC = $(am__v_CC_@AM_V@)
250 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
251 am__v_CC_0 = @echo "  CC      " $@;
252 am__v_CC_1 = 
253 CCLD = $(CC)
254 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
256         $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
258 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
259 am__v_CCLD_0 = @echo "  CCLD    " $@;
260 am__v_CCLD_1 = 
261 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
262         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
263 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
264         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
265         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
266         $(AM_CXXFLAGS) $(CXXFLAGS)
267 AM_V_CXX = $(am__v_CXX_@AM_V@)
268 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
269 am__v_CXX_0 = @echo "  CXX     " $@;
270 am__v_CXX_1 = 
271 CXXLD = $(CXX)
272 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
273         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
274         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
275 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
276 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
277 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
278 am__v_CXXLD_1 = 
279 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
280 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
281         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
282 AM_V_F77 = $(am__v_F77_@AM_V@)
283 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
284 am__v_F77_0 = @echo "  F77     " $@;
285 am__v_F77_1 = 
286 F77LD = $(F77)
287 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
288         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
289         $(AM_LDFLAGS) $(LDFLAGS) -o $@
290 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
291 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
292 am__v_F77LD_0 = @echo "  F77LD   " $@;
293 am__v_F77LD_1 = 
294 SOURCES = $(libscirandlib_algo_la_SOURCES) $(libscirandlib_la_SOURCES)
295 DIST_SOURCES = $(libscirandlib_algo_la_SOURCES) \
296         $(libscirandlib_la_SOURCES)
297 am__can_run_installinfo = \
298   case $$AM_UPDATE_INFO_DIR in \
299     n|no|NO) false;; \
300     *) (install-info --version) >/dev/null 2>&1;; \
301   esac
302 DATA = $(libscirandlib_la_etc_DATA) $(libscirandlib_la_root_DATA) \
303         $(libscirandlib_la_sci_gateway_DATA)
304 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
305 # Read a list of newline-separated strings from the standard input,
306 # and print each of them once, without duplicates.  Input order is
307 # *not* preserved.
308 am__uniquify_input = $(AWK) '\
309   BEGIN { nonempty = 0; } \
310   { items[$$0] = 1; nonempty = 1; } \
311   END { if (nonempty) { for (i in items) print i; }; } \
312 '
313 # Make sure the list of sources is unique.  This is necessary because,
314 # e.g., the same source file might be shared among _SOURCES variables
315 # for different programs/libraries.
316 am__define_uniq_tagged_files = \
317   list='$(am__tagged_files)'; \
318   unique=`for i in $$list; do \
319     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
320   done | $(am__uniquify_input)`
321 ETAGS = etags
322 CTAGS = ctags
323 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
324         $(top_srcdir)/config/depcomp \
325         $(top_srcdir)/config/mkinstalldirs
326 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
327 ACLOCAL = @ACLOCAL@
328 ALL_LINGUAS = @ALL_LINGUAS@
329 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
330 AMTAR = @AMTAR@
331 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
332 ANT = @ANT@
333 ANTLR = @ANTLR@
334 AR = @AR@
335 ARPACK_LIBS = @ARPACK_LIBS@
336 ASM3 = @ASM3@
337 AUTOCONF = @AUTOCONF@
338 AUTOHEADER = @AUTOHEADER@
339 AUTOMAKE = @AUTOMAKE@
340 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
341 AWK = @AWK@
342 BATIK = @BATIK@
343 BLAS_CFLAGS = @BLAS_CFLAGS@
344 BLAS_LIBS = @BLAS_LIBS@
345 CC = @CC@
346 CCACHE = @CCACHE@
347 CCDEPMODE = @CCDEPMODE@
348 CFLAGS = @CFLAGS@
349 CHECKSTYLE = @CHECKSTYLE@
350 COBERTURA = @COBERTURA@
351 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
352 COMMONS_IO = @COMMONS_IO@
353 COMMONS_LOGGING = @COMMONS_LOGGING@
354 CPP = @CPP@
355 CPPFLAGS = @CPPFLAGS@
356 CURL_CFLAGS = @CURL_CFLAGS@
357 CURL_CONFIG = @CURL_CONFIG@
358 CURL_LIBS = @CURL_LIBS@
359 CURL_VERSION = @CURL_VERSION@
360 CXX = @CXX@
361 CXXCPP = @CXXCPP@
362 CXXDEPMODE = @CXXDEPMODE@
363 CXXFLAGS = @CXXFLAGS@
364 CYGPATH_W = @CYGPATH_W@
365 DEFS = @DEFS@
366 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
367 DEPDIR = @DEPDIR@
368 DLLTOOL = @DLLTOOL@
369 DOCBOOK_ROOT = @DOCBOOK_ROOT@
370 DOXYGEN_BIN = @DOXYGEN_BIN@
371 DSYMUTIL = @DSYMUTIL@
372 DUMPBIN = @DUMPBIN@
373 ECHO_C = @ECHO_C@
374 ECHO_N = @ECHO_N@
375 ECHO_T = @ECHO_T@
376 ECJ = @ECJ@
377 EGREP = @EGREP@
378 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
379 EXEEXT = @EXEEXT@
380 F77 = @F77@
381 FFLAGS = @FFLAGS@
382 FFTW3_LIB = @FFTW3_LIB@
383 FFTW_ENABLE = @FFTW_ENABLE@
384 FGREP = @FGREP@
385 FLEXDOCK = @FLEXDOCK@
386 FLIBS = @FLIBS@
387 FOP = @FOP@
388 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
389 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
390 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
391 FREEHEP_IO = @FREEHEP_IO@
392 FREEHEP_UTIL = @FREEHEP_UTIL@
393 GENHTML = @GENHTML@
394 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
395 GIWS_BIN = @GIWS_BIN@
396 GLUEGEN2_RT = @GLUEGEN2_RT@
397 GMSGFMT = @GMSGFMT@
398 GMSGFMT_015 = @GMSGFMT_015@
399 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
400 GREP = @GREP@
401 GUI_ENABLE = @GUI_ENABLE@
402 HAMCREST = @HAMCREST@
403 HAVE_CXX11 = @HAVE_CXX11@
404 HDF5_CFLAGS = @HDF5_CFLAGS@
405 HDF5_LIBS = @HDF5_LIBS@
406 HELP_ENABLE = @HELP_ENABLE@
407 INSTALL = @INSTALL@
408 INSTALL_DATA = @INSTALL_DATA@
409 INSTALL_PROGRAM = @INSTALL_PROGRAM@
410 INSTALL_SCRIPT = @INSTALL_SCRIPT@
411 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
412 INTLLIBS = @INTLLIBS@
413 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
414 JAR = @JAR@
415 JAVA = @JAVA@
416 JAVAC = @JAVAC@
417 JAVAC_DEBUG = @JAVAC_DEBUG@
418 JAVADOC = @JAVADOC@
419 JAVAH = @JAVAH@
420 JAVASCI_ENABLE = @JAVASCI_ENABLE@
421 JAVA_ENABLE = @JAVA_ENABLE@
422 JAVA_G = @JAVA_G@
423 JAVA_HOME = @JAVA_HOME@
424 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
425 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
426 JDB = @JDB@
427 JEUCLID_CORE = @JEUCLID_CORE@
428 JGRAPHX = @JGRAPHX@
429 JHALL = @JHALL@
430 JLATEXMATH = @JLATEXMATH@
431 JLATEXMATH_FOP = @JLATEXMATH_FOP@
432 JOGL2 = @JOGL2@
433 JROSETTA_API = @JROSETTA_API@
434 JROSETTA_ENGINE = @JROSETTA_ENGINE@
435 JUNIT4 = @JUNIT4@
436 LAPACK_LIBS = @LAPACK_LIBS@
437 LCOV = @LCOV@
438 LD = @LD@
439 LDFLAGS = @LDFLAGS@
440 LEX = @LEX@
441 LEXLIB = @LEXLIB@
442 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
443 LIBICONV = @LIBICONV@
444 LIBINTL = @LIBINTL@
445 LIBM = @LIBM@
446 LIBOBJS = @LIBOBJS@
447 LIBS = @LIBS@
448 LIBTOOL = @LIBTOOL@
449 LIPO = @LIPO@
450 LN_S = @LN_S@
451 LOGGING_LEVEL = @LOGGING_LEVEL@
452 LOOKS = @LOOKS@
453 LTLIBICONV = @LTLIBICONV@
454 LTLIBINTL = @LTLIBINTL@
455 LTLIBOBJS = @LTLIBOBJS@
456 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
457 LUCENE = @LUCENE@
458 LUCENE_ANALYZER = @LUCENE_ANALYZER@
459 LUCENE_PARSER = @LUCENE_PARSER@
460 MAINT = @MAINT@
461 MAKEINFO = @MAKEINFO@
462 MANIFEST_TOOL = @MANIFEST_TOOL@
463 MATIO_CFLAGS = @MATIO_CFLAGS@
464 MATIO_ENABLE = @MATIO_ENABLE@
465 MATIO_LIBS = @MATIO_LIBS@
466 MKDIR_P = @MKDIR_P@
467 MPI_ENABLE = @MPI_ENABLE@
468 MSGCAT = @MSGCAT@
469 MSGFMT = @MSGFMT@
470 MSGFMT_015 = @MSGFMT_015@
471 MSGMERGE = @MSGMERGE@
472 NM = @NM@
473 NMEDIT = @NMEDIT@
474 OBJDUMP = @OBJDUMP@
475 OBJEXT = @OBJEXT@
476 OCAMLC = @OCAMLC@
477 OCAMLDEP = @OCAMLDEP@
478 OCAMLLEX = @OCAMLLEX@
479 OCAMLOPT = @OCAMLOPT@
480 OCAMLYACC = @OCAMLYACC@
481 OPENMPI_CC = @OPENMPI_CC@
482 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
483 OPENMPI_CXX = @OPENMPI_CXX@
484 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
485 OPENMPI_LIBS = @OPENMPI_LIBS@
486 OPENMP_CFLAGS = @OPENMP_CFLAGS@
487 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
488 OPENMP_ENABLE = @OPENMP_ENABLE@
489 OPENMP_LIBS = @OPENMP_LIBS@
490 OTOOL = @OTOOL@
491 OTOOL64 = @OTOOL64@
492 PACKAGE = @PACKAGE@
493 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
494 PACKAGE_NAME = @PACKAGE_NAME@
495 PACKAGE_STRING = @PACKAGE_STRING@
496 PACKAGE_TARNAME = @PACKAGE_TARNAME@
497 PACKAGE_URL = @PACKAGE_URL@
498 PACKAGE_VERSION = @PACKAGE_VERSION@
499 PATH_SEPARATOR = @PATH_SEPARATOR@
500 PCRE_CFLAGS = @PCRE_CFLAGS@
501 PCRE_CONFIG = @PCRE_CONFIG@
502 PCRE_LIBS = @PCRE_LIBS@
503 PCRE_VERSION = @PCRE_VERSION@
504 PKG_CONFIG = @PKG_CONFIG@
505 POSUB = @POSUB@
506 POW_LIB = @POW_LIB@
507 PYTHON = @PYTHON@
508 RANLIB = @RANLIB@
509 RELOCATABLE = @RELOCATABLE@
510 RT_LIB = @RT_LIB@
511 SAXON = @SAXON@
512 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
513 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
514 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
515 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
516 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
517 SCIRENDERER = @SCIRENDERER@
518 SCIRENDERER_CP = @SCIRENDERER_CP@
519 SCI_CFLAGS = @SCI_CFLAGS@
520 SCI_CXXFLAGS = @SCI_CXXFLAGS@
521 SCI_FFLAGS = @SCI_FFLAGS@
522 SCI_LDFLAGS = @SCI_LDFLAGS@
523 SED = @SED@
524 SET_MAKE = @SET_MAKE@
525 SET_RELOCATABLE = @SET_RELOCATABLE@
526 SHELL = @SHELL@
527 SKINLF = @SKINLF@
528 SPLINT = @SPLINT@
529 STRIP = @STRIP@
530 SWIG_BIN = @SWIG_BIN@
531 SWIG_JAVA = @SWIG_JAVA@
532 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
533 SWIG_SCILAB = @SWIG_SCILAB@
534 TCLTK_LIBS = @TCLTK_LIBS@
535 TCL_INC_PATH = @TCL_INC_PATH@
536 TK_INC_PATH = @TK_INC_PATH@
537 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
538 UMFPACK_ENABLE = @UMFPACK_ENABLE@
539 UMFPACK_LIB = @UMFPACK_LIB@
540 USE_NLS = @USE_NLS@
541 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
542 VALGRIND_LIBS = @VALGRIND_LIBS@
543 VERSION = @VERSION@
544 WITH_OCAML = @WITH_OCAML@
545 WITH_TKSCI = @WITH_TKSCI@
546 XCOS_ENABLE = @XCOS_ENABLE@
547 XGETTEXT = @XGETTEXT@
548 XGETTEXT_015 = @XGETTEXT_015@
549 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
550 XMKMF = @XMKMF@
551 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
552 XML_APIS_EXT = @XML_APIS_EXT@
553 XML_CONFIG = @XML_CONFIG@
554 XML_FLAGS = @XML_FLAGS@
555 XML_LIBS = @XML_LIBS@
556 XML_VERSION = @XML_VERSION@
557 X_CFLAGS = @X_CFLAGS@
558 X_EXTRA_LIBS = @X_EXTRA_LIBS@
559 X_LIBS = @X_LIBS@
560 X_PRE_LIBS = @X_PRE_LIBS@
561 YACC = @YACC@
562 YFLAGS = @YFLAGS@
563 abs_builddir = @abs_builddir@
564 abs_srcdir = @abs_srcdir@
565 abs_top_builddir = @abs_top_builddir@
566 abs_top_srcdir = @abs_top_srcdir@
567 ac_ct_AR = @ac_ct_AR@
568 ac_ct_CC = @ac_ct_CC@
569 ac_ct_CXX = @ac_ct_CXX@
570 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
571 ac_ct_F77 = @ac_ct_F77@
572 am__include = @am__include@
573 am__leading_dot = @am__leading_dot@
574 am__quote = @am__quote@
575 am__tar = @am__tar@
576 am__untar = @am__untar@
577 bindir = @bindir@
578 build = @build@
579 build_alias = @build_alias@
580 build_cpu = @build_cpu@
581 build_os = @build_os@
582 build_vendor = @build_vendor@
583 builddir = @builddir@
584 cxx_present = @cxx_present@
585 datadir = @datadir@
586 datarootdir = @datarootdir@
587 docdir = @docdir@
588 dvidir = @dvidir@
589 exec_prefix = @exec_prefix@
590 host = @host@
591 host_alias = @host_alias@
592 host_cpu = @host_cpu@
593 host_os = @host_os@
594 host_vendor = @host_vendor@
595 htmldir = @htmldir@
596 includedir = @includedir@
597 infodir = @infodir@
598 install_sh = @install_sh@
599 libdir = @libdir@
600 libexecdir = @libexecdir@
601 localedir = @localedir@
602 localstatedir = @localstatedir@
603 mandir = @mandir@
604 mkdir_p = @mkdir_p@
605 oldincludedir = @oldincludedir@
606 pdfdir = @pdfdir@
607 prefix = @prefix@
608 program_transform_name = @program_transform_name@
609 psdir = @psdir@
610 sbindir = @sbindir@
611 sharedstatedir = @sharedstatedir@
612 srcdir = @srcdir@
613 sysconfdir = @sysconfdir@
614 target_alias = @target_alias@
615 top_build_prefix = @top_build_prefix@
616 top_builddir = @top_builddir@
617 top_srcdir = @top_srcdir@
618 yacc_present = @yacc_present@
619 RANDLIB_C_SOURCES = \
620     src/c/mt.c \
621     src/c/igngeom.c \
622     src/c/kiss.c \
623     src/c/urand.c \
624     src/c/clcg2.c \
625     src/c/clcg4.c \
626     src/c/sexpo.c \
627     src/c/ignbin.c \
628     src/c/ignpoi.c \
629     src/c/sgamma.c \
630     src/c/genbet.c 
631
632 RANDLIB_FORTRAN_SOURCES = \
633     src/fortran/gennf.f \
634     src/fortran/genchi.f \
635     src/fortran/setgmn.f \
636     src/fortran/gengam.f \
637     src/fortran/snorm.f \
638     src/fortran/gennch.f \
639     src/fortran/genmn.f \
640     src/fortran/phrtsd.f \
641     src/fortran/ignnbn.f \
642     src/fortran/genf.f \
643     src/fortran/genunf.f \
644     src/fortran/genexp.f \
645     src/fortran/genmul.f \
646     src/fortran/genprm.f \
647     src/fortran/gennor.f 
648
649 RANDLIB_CPP_SOURCES = src/cpp/grand.cpp
650 GATEWAY_CPP_SOURCES = sci_gateway/cpp/sci_grand.cpp
651 libscirandlib_la_CPPFLAGS = \
652         -I$(srcdir)/includes/ \
653     -I$(top_srcdir)/modules/ast/includes/ast/ \
654     -I$(top_srcdir)/modules/ast/includes/exps/ \
655     -I$(top_srcdir)/modules/ast/includes/operations/ \
656     -I$(top_srcdir)/modules/ast/includes/parse/ \
657     -I$(top_srcdir)/modules/ast/includes/symbol/ \
658     -I$(top_srcdir)/modules/ast/includes/system_env/ \
659     -I$(top_srcdir)/modules/ast/includes/types/ \
660     -I$(top_srcdir)/modules/ast/includes/analysis/ \
661         -I$(top_srcdir)/modules/output_stream/includes/ \
662         -I$(top_srcdir)/modules/api_scilab/includes/ \
663         -I$(top_srcdir)/modules/localization/includes/ \
664         -I$(top_srcdir)/modules/dynamic_link/includes/ \
665         -I$(top_srcdir)/modules/threads/includes/ \
666         -I$(top_srcdir)/modules/dynamic_link/includes \
667         -I$(top_srcdir)/modules/elementary_functions/includes/ \
668         -I$(top_srcdir)/modules/string/includes/ \
669         -I$(top_srcdir)/modules/console/includes/ \
670         $(AM_CPPFLAGS)
671
672 pkglib_LTLIBRARIES = libscirandlib.la
673 noinst_LTLIBRARIES = libscirandlib-algo.la
674 libscirandlib_algo_la_SOURCES = $(RANDLIB_CPP_SOURCES) $(RANDLIB_C_SOURCES) $(RANDLIB_FORTRAN_SOURCES)
675 libscirandlib_la_SOURCES = $(GATEWAY_CPP_SOURCES) 
676 libscirandlib_algo_la_CPPFLAGS = $(libscirandlib_la_CPPFLAGS)
677
678 # For the code check (splint)
679 CHECK_SRC = $(RANDLIB_CPP_SOURCES) $(RANDLIB_C_SOURCES) $(GATEWAY_CPP_SOURCES)
680 INCLUDE_FLAGS = $(libscirandlib_la_CPPFLAGS)
681 libscirandlib_la_LIBADD = libscirandlib-algo.la $(FLIBS)
682
683 #### Target ######
684 modulename = randlib
685
686 #### randlib : Conf files ####
687 libscirandlib_la_rootdir = $(mydatadir)
688 libscirandlib_la_root_DATA = license.txt 
689
690 #### randlib : init scripts ####
691 libscirandlib_la_etcdir = $(mydatadir)/etc
692 libscirandlib_la_etc_DATA = \
693     etc/randlib.quit \
694     etc/randlib.start
695
696
697 #### randlib : gateway declaration ####
698 libscirandlib_la_sci_gatewaydir = $(mydatadir)/sci_gateway
699 libscirandlib_la_sci_gateway_DATA = sci_gateway/randlib_gateway.xml
700
701 # Where all the Scilab stuff is installed (macros, help, ...)
702 mydatadir = $(pkgdatadir)/modules/$(modulename)
703
704 # Set AM_* SCI detected settings
705 AM_CPPFLAGS = $(SCI_CPPFLAGS)
706 AM_CFLAGS = $(SCI_CFLAGS)
707 AM_CXXFLAGS = $(SCI_CXXFLAGS)
708 # append includes to AM_FFLAGS to manage fortran includes
709 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
710
711 # Tag shared libraries with the Scilab version
712 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
713
714 # splint options
715 SPLINT_OPTIONS = -weak -booltype BOOL
716
717 ########################### JAVA ######################################
718 #### We are delegating java compilation to ant... Thanks to that
719 #### the procedure will be the same with Microsoft Windows (C)
720 #### and Linux/Unix
721 #######################################################################
722 TARGETS_ALL = $(am__append_1)
723
724 ################ MACROS ######################
725 # Rule to build a macro
726 # NOT USED  AT THE MOMENT
727 SUFFIXES = .sci 
728
729 ########### INSTALL DOCUMENTATION ###################
730
731 # Install documentation files into the right target
732 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
733 # automake needs the html files to be present which is not the case when
734 # we are building Scilab
735
736 # Where it should be installed
737 pkgdocdir = $(mydatadir)
738
739 # What is the mask of the help source
740 DOCMASKXML = *.xml
741
742 # What is the mask of the MathML sources
743 DOCMASKMML = *.mml
744
745 ########### INSTALL DATA ###################
746 # Install macros, help & demos
747 # Where it should be installed
748 pkgmacrosdir = $(mydatadir)
749 # Which directory we process
750 MACRODIRS = macros/
751 # Mask of the Scilab sources macros
752 MACROMASK = *.sci
753 # Mask of the Scilab executable sources macros
754 MACROBUILDMASK = *.sce
755 # Mask of the Scilab compiled macros
756 MACROBINMASK = *.bin
757 # List of the standard directory for tests
758 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
759 # Where the demos should be installed
760 pkgdemosdir = $(mydatadir)
761 # List of the standard directory for demos
762 DEMOS_DIR = demos
763 # List of the standard directory for examples
764 EXAMPLES_DIR = examples
765 # Where to export JAVA archives (.jar)
766 JARDIR = jar/
767 # JAR files mask
768 JARMASK = *.jar
769 # Chapter file 
770 HELP_CHAPTERDIR = help/
771 HELP_CHAPTERFILE = addchapter.sce
772 HELP_CHAPTERLANG = en_US fr_FR pt_BR
773 all: all-am
774
775 .SUFFIXES:
776 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
777 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
778         @for dep in $?; do \
779           case '$(am__configure_deps)' in \
780             *$$dep*) \
781               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
782                 && { if test -f $@; then exit 0; else break; fi; }; \
783               exit 1;; \
784           esac; \
785         done; \
786         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/randlib/Makefile'; \
787         $(am__cd) $(top_srcdir) && \
788           $(AUTOMAKE) --foreign modules/randlib/Makefile
789 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
790         @case '$?' in \
791           *config.status*) \
792             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
793           *) \
794             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
795             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
796         esac;
797 $(top_srcdir)/Makefile.incl.am $(am__empty):
798
799 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
800         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
801
802 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
803         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
804 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
805         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
806 $(am__aclocal_m4_deps):
807
808 clean-noinstLTLIBRARIES:
809         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
810         @list='$(noinst_LTLIBRARIES)'; \
811         locs=`for p in $$list; do echo $$p; done | \
812               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
813               sort -u`; \
814         test -z "$$locs" || { \
815           echo rm -f $${locs}; \
816           rm -f $${locs}; \
817         }
818
819 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
820         @$(NORMAL_INSTALL)
821         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
822         list2=; for p in $$list; do \
823           if test -f $$p; then \
824             list2="$$list2 $$p"; \
825           else :; fi; \
826         done; \
827         test -z "$$list2" || { \
828           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
829           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
830           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
831           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
832         }
833
834 uninstall-pkglibLTLIBRARIES:
835         @$(NORMAL_UNINSTALL)
836         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
837         for p in $$list; do \
838           $(am__strip_dir) \
839           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
840           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
841         done
842
843 clean-pkglibLTLIBRARIES:
844         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
845         @list='$(pkglib_LTLIBRARIES)'; \
846         locs=`for p in $$list; do echo $$p; done | \
847               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
848               sort -u`; \
849         test -z "$$locs" || { \
850           echo rm -f $${locs}; \
851           rm -f $${locs}; \
852         }
853 src/cpp/$(am__dirstamp):
854         @$(MKDIR_P) src/cpp
855         @: > src/cpp/$(am__dirstamp)
856 src/cpp/$(DEPDIR)/$(am__dirstamp):
857         @$(MKDIR_P) src/cpp/$(DEPDIR)
858         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
859 src/cpp/libscirandlib_algo_la-grand.lo: src/cpp/$(am__dirstamp) \
860         src/cpp/$(DEPDIR)/$(am__dirstamp)
861 src/c/$(am__dirstamp):
862         @$(MKDIR_P) src/c
863         @: > src/c/$(am__dirstamp)
864 src/c/$(DEPDIR)/$(am__dirstamp):
865         @$(MKDIR_P) src/c/$(DEPDIR)
866         @: > src/c/$(DEPDIR)/$(am__dirstamp)
867 src/c/libscirandlib_algo_la-mt.lo: src/c/$(am__dirstamp) \
868         src/c/$(DEPDIR)/$(am__dirstamp)
869 src/c/libscirandlib_algo_la-igngeom.lo: src/c/$(am__dirstamp) \
870         src/c/$(DEPDIR)/$(am__dirstamp)
871 src/c/libscirandlib_algo_la-kiss.lo: src/c/$(am__dirstamp) \
872         src/c/$(DEPDIR)/$(am__dirstamp)
873 src/c/libscirandlib_algo_la-urand.lo: src/c/$(am__dirstamp) \
874         src/c/$(DEPDIR)/$(am__dirstamp)
875 src/c/libscirandlib_algo_la-clcg2.lo: src/c/$(am__dirstamp) \
876         src/c/$(DEPDIR)/$(am__dirstamp)
877 src/c/libscirandlib_algo_la-clcg4.lo: src/c/$(am__dirstamp) \
878         src/c/$(DEPDIR)/$(am__dirstamp)
879 src/c/libscirandlib_algo_la-sexpo.lo: src/c/$(am__dirstamp) \
880         src/c/$(DEPDIR)/$(am__dirstamp)
881 src/c/libscirandlib_algo_la-ignbin.lo: src/c/$(am__dirstamp) \
882         src/c/$(DEPDIR)/$(am__dirstamp)
883 src/c/libscirandlib_algo_la-ignpoi.lo: src/c/$(am__dirstamp) \
884         src/c/$(DEPDIR)/$(am__dirstamp)
885 src/c/libscirandlib_algo_la-sgamma.lo: src/c/$(am__dirstamp) \
886         src/c/$(DEPDIR)/$(am__dirstamp)
887 src/c/libscirandlib_algo_la-genbet.lo: src/c/$(am__dirstamp) \
888         src/c/$(DEPDIR)/$(am__dirstamp)
889 src/fortran/$(am__dirstamp):
890         @$(MKDIR_P) src/fortran
891         @: > src/fortran/$(am__dirstamp)
892 src/fortran/$(DEPDIR)/$(am__dirstamp):
893         @$(MKDIR_P) src/fortran/$(DEPDIR)
894         @: > src/fortran/$(DEPDIR)/$(am__dirstamp)
895 src/fortran/gennf.lo: src/fortran/$(am__dirstamp) \
896         src/fortran/$(DEPDIR)/$(am__dirstamp)
897 src/fortran/genchi.lo: src/fortran/$(am__dirstamp) \
898         src/fortran/$(DEPDIR)/$(am__dirstamp)
899 src/fortran/setgmn.lo: src/fortran/$(am__dirstamp) \
900         src/fortran/$(DEPDIR)/$(am__dirstamp)
901 src/fortran/gengam.lo: src/fortran/$(am__dirstamp) \
902         src/fortran/$(DEPDIR)/$(am__dirstamp)
903 src/fortran/snorm.lo: src/fortran/$(am__dirstamp) \
904         src/fortran/$(DEPDIR)/$(am__dirstamp)
905 src/fortran/gennch.lo: src/fortran/$(am__dirstamp) \
906         src/fortran/$(DEPDIR)/$(am__dirstamp)
907 src/fortran/genmn.lo: src/fortran/$(am__dirstamp) \
908         src/fortran/$(DEPDIR)/$(am__dirstamp)
909 src/fortran/phrtsd.lo: src/fortran/$(am__dirstamp) \
910         src/fortran/$(DEPDIR)/$(am__dirstamp)
911 src/fortran/ignnbn.lo: src/fortran/$(am__dirstamp) \
912         src/fortran/$(DEPDIR)/$(am__dirstamp)
913 src/fortran/genf.lo: src/fortran/$(am__dirstamp) \
914         src/fortran/$(DEPDIR)/$(am__dirstamp)
915 src/fortran/genunf.lo: src/fortran/$(am__dirstamp) \
916         src/fortran/$(DEPDIR)/$(am__dirstamp)
917 src/fortran/genexp.lo: src/fortran/$(am__dirstamp) \
918         src/fortran/$(DEPDIR)/$(am__dirstamp)
919 src/fortran/genmul.lo: src/fortran/$(am__dirstamp) \
920         src/fortran/$(DEPDIR)/$(am__dirstamp)
921 src/fortran/genprm.lo: src/fortran/$(am__dirstamp) \
922         src/fortran/$(DEPDIR)/$(am__dirstamp)
923 src/fortran/gennor.lo: src/fortran/$(am__dirstamp) \
924         src/fortran/$(DEPDIR)/$(am__dirstamp)
925
926 libscirandlib-algo.la: $(libscirandlib_algo_la_OBJECTS) $(libscirandlib_algo_la_DEPENDENCIES) $(EXTRA_libscirandlib_algo_la_DEPENDENCIES) 
927         $(AM_V_CXXLD)$(CXXLINK)  $(libscirandlib_algo_la_OBJECTS) $(libscirandlib_algo_la_LIBADD) $(LIBS)
928 sci_gateway/cpp/$(am__dirstamp):
929         @$(MKDIR_P) sci_gateway/cpp
930         @: > sci_gateway/cpp/$(am__dirstamp)
931 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
932         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
933         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
934 sci_gateway/cpp/libscirandlib_la-sci_grand.lo:  \
935         sci_gateway/cpp/$(am__dirstamp) \
936         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
937
938 libscirandlib.la: $(libscirandlib_la_OBJECTS) $(libscirandlib_la_DEPENDENCIES) $(EXTRA_libscirandlib_la_DEPENDENCIES) 
939         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscirandlib_la_OBJECTS) $(libscirandlib_la_LIBADD) $(LIBS)
940
941 mostlyclean-compile:
942         -rm -f *.$(OBJEXT)
943         -rm -f sci_gateway/cpp/*.$(OBJEXT)
944         -rm -f sci_gateway/cpp/*.lo
945         -rm -f src/c/*.$(OBJEXT)
946         -rm -f src/c/*.lo
947         -rm -f src/cpp/*.$(OBJEXT)
948         -rm -f src/cpp/*.lo
949         -rm -f src/fortran/*.$(OBJEXT)
950         -rm -f src/fortran/*.lo
951
952 distclean-compile:
953         -rm -f *.tab.c
954
955 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Plo@am__quote@ # am--include-marker
956 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Plo@am__quote@ # am--include-marker
957 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Plo@am__quote@ # am--include-marker
958 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Plo@am__quote@ # am--include-marker
959 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Plo@am__quote@ # am--include-marker
960 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Plo@am__quote@ # am--include-marker
961 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Plo@am__quote@ # am--include-marker
962 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Plo@am__quote@ # am--include-marker
963 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Plo@am__quote@ # am--include-marker
964 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Plo@am__quote@ # am--include-marker
965 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Plo@am__quote@ # am--include-marker
966 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Plo@am__quote@ # am--include-marker
967 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Plo@am__quote@ # am--include-marker
968
969 $(am__depfiles_remade):
970         @$(MKDIR_P) $(@D)
971         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
972
973 am--depfiles: $(am__depfiles_remade)
974
975 .c.o:
976 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
977 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
978 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
982
983 .c.obj:
984 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
985 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
986 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
987 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
990
991 .c.lo:
992 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
993 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
994 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
995 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
998
999 src/c/libscirandlib_algo_la-mt.lo: src/c/mt.c
1000 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-mt.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Tpo -c -o src/c/libscirandlib_algo_la-mt.lo `test -f 'src/c/mt.c' || echo '$(srcdir)/'`src/c/mt.c
1001 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Plo
1002 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/mt.c' object='src/c/libscirandlib_algo_la-mt.lo' libtool=yes @AMDEPBACKSLASH@
1003 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1004 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-mt.lo `test -f 'src/c/mt.c' || echo '$(srcdir)/'`src/c/mt.c
1005
1006 src/c/libscirandlib_algo_la-igngeom.lo: src/c/igngeom.c
1007 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-igngeom.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Tpo -c -o src/c/libscirandlib_algo_la-igngeom.lo `test -f 'src/c/igngeom.c' || echo '$(srcdir)/'`src/c/igngeom.c
1008 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Plo
1009 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/igngeom.c' object='src/c/libscirandlib_algo_la-igngeom.lo' libtool=yes @AMDEPBACKSLASH@
1010 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1011 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-igngeom.lo `test -f 'src/c/igngeom.c' || echo '$(srcdir)/'`src/c/igngeom.c
1012
1013 src/c/libscirandlib_algo_la-kiss.lo: src/c/kiss.c
1014 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-kiss.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Tpo -c -o src/c/libscirandlib_algo_la-kiss.lo `test -f 'src/c/kiss.c' || echo '$(srcdir)/'`src/c/kiss.c
1015 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Plo
1016 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/kiss.c' object='src/c/libscirandlib_algo_la-kiss.lo' libtool=yes @AMDEPBACKSLASH@
1017 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1018 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-kiss.lo `test -f 'src/c/kiss.c' || echo '$(srcdir)/'`src/c/kiss.c
1019
1020 src/c/libscirandlib_algo_la-urand.lo: src/c/urand.c
1021 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-urand.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Tpo -c -o src/c/libscirandlib_algo_la-urand.lo `test -f 'src/c/urand.c' || echo '$(srcdir)/'`src/c/urand.c
1022 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Plo
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/urand.c' object='src/c/libscirandlib_algo_la-urand.lo' libtool=yes @AMDEPBACKSLASH@
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1025 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-urand.lo `test -f 'src/c/urand.c' || echo '$(srcdir)/'`src/c/urand.c
1026
1027 src/c/libscirandlib_algo_la-clcg2.lo: src/c/clcg2.c
1028 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-clcg2.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Tpo -c -o src/c/libscirandlib_algo_la-clcg2.lo `test -f 'src/c/clcg2.c' || echo '$(srcdir)/'`src/c/clcg2.c
1029 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Plo
1030 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/clcg2.c' object='src/c/libscirandlib_algo_la-clcg2.lo' libtool=yes @AMDEPBACKSLASH@
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1032 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-clcg2.lo `test -f 'src/c/clcg2.c' || echo '$(srcdir)/'`src/c/clcg2.c
1033
1034 src/c/libscirandlib_algo_la-clcg4.lo: src/c/clcg4.c
1035 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-clcg4.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Tpo -c -o src/c/libscirandlib_algo_la-clcg4.lo `test -f 'src/c/clcg4.c' || echo '$(srcdir)/'`src/c/clcg4.c
1036 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Plo
1037 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/clcg4.c' object='src/c/libscirandlib_algo_la-clcg4.lo' libtool=yes @AMDEPBACKSLASH@
1038 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1039 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-clcg4.lo `test -f 'src/c/clcg4.c' || echo '$(srcdir)/'`src/c/clcg4.c
1040
1041 src/c/libscirandlib_algo_la-sexpo.lo: src/c/sexpo.c
1042 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-sexpo.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Tpo -c -o src/c/libscirandlib_algo_la-sexpo.lo `test -f 'src/c/sexpo.c' || echo '$(srcdir)/'`src/c/sexpo.c
1043 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Plo
1044 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/sexpo.c' object='src/c/libscirandlib_algo_la-sexpo.lo' libtool=yes @AMDEPBACKSLASH@
1045 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1046 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-sexpo.lo `test -f 'src/c/sexpo.c' || echo '$(srcdir)/'`src/c/sexpo.c
1047
1048 src/c/libscirandlib_algo_la-ignbin.lo: src/c/ignbin.c
1049 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-ignbin.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Tpo -c -o src/c/libscirandlib_algo_la-ignbin.lo `test -f 'src/c/ignbin.c' || echo '$(srcdir)/'`src/c/ignbin.c
1050 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Plo
1051 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ignbin.c' object='src/c/libscirandlib_algo_la-ignbin.lo' libtool=yes @AMDEPBACKSLASH@
1052 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1053 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-ignbin.lo `test -f 'src/c/ignbin.c' || echo '$(srcdir)/'`src/c/ignbin.c
1054
1055 src/c/libscirandlib_algo_la-ignpoi.lo: src/c/ignpoi.c
1056 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-ignpoi.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Tpo -c -o src/c/libscirandlib_algo_la-ignpoi.lo `test -f 'src/c/ignpoi.c' || echo '$(srcdir)/'`src/c/ignpoi.c
1057 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Plo
1058 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/ignpoi.c' object='src/c/libscirandlib_algo_la-ignpoi.lo' libtool=yes @AMDEPBACKSLASH@
1059 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1060 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-ignpoi.lo `test -f 'src/c/ignpoi.c' || echo '$(srcdir)/'`src/c/ignpoi.c
1061
1062 src/c/libscirandlib_algo_la-sgamma.lo: src/c/sgamma.c
1063 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-sgamma.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Tpo -c -o src/c/libscirandlib_algo_la-sgamma.lo `test -f 'src/c/sgamma.c' || echo '$(srcdir)/'`src/c/sgamma.c
1064 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Plo
1065 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/sgamma.c' object='src/c/libscirandlib_algo_la-sgamma.lo' libtool=yes @AMDEPBACKSLASH@
1066 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1067 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-sgamma.lo `test -f 'src/c/sgamma.c' || echo '$(srcdir)/'`src/c/sgamma.c
1068
1069 src/c/libscirandlib_algo_la-genbet.lo: src/c/genbet.c
1070 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscirandlib_algo_la-genbet.lo -MD -MP -MF src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Tpo -c -o src/c/libscirandlib_algo_la-genbet.lo `test -f 'src/c/genbet.c' || echo '$(srcdir)/'`src/c/genbet.c
1071 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Tpo src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Plo
1072 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/genbet.c' object='src/c/libscirandlib_algo_la-genbet.lo' libtool=yes @AMDEPBACKSLASH@
1073 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1074 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscirandlib_algo_la-genbet.lo `test -f 'src/c/genbet.c' || echo '$(srcdir)/'`src/c/genbet.c
1075
1076 .cpp.o:
1077 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1078 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1079 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1080 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1081 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1082 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1083
1084 .cpp.obj:
1085 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1086 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1087 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1088 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1089 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1090 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1091
1092 .cpp.lo:
1093 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1094 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1095 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1096 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1097 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1098 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1099
1100 src/cpp/libscirandlib_algo_la-grand.lo: src/cpp/grand.cpp
1101 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscirandlib_algo_la-grand.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Tpo -c -o src/cpp/libscirandlib_algo_la-grand.lo `test -f 'src/cpp/grand.cpp' || echo '$(srcdir)/'`src/cpp/grand.cpp
1102 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Tpo src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Plo
1103 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/grand.cpp' object='src/cpp/libscirandlib_algo_la-grand.lo' libtool=yes @AMDEPBACKSLASH@
1104 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1105 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscirandlib_algo_la-grand.lo `test -f 'src/cpp/grand.cpp' || echo '$(srcdir)/'`src/cpp/grand.cpp
1106
1107 sci_gateway/cpp/libscirandlib_la-sci_grand.lo: sci_gateway/cpp/sci_grand.cpp
1108 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscirandlib_la-sci_grand.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Tpo -c -o sci_gateway/cpp/libscirandlib_la-sci_grand.lo `test -f 'sci_gateway/cpp/sci_grand.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_grand.cpp
1109 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Tpo sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Plo
1110 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_grand.cpp' object='sci_gateway/cpp/libscirandlib_la-sci_grand.lo' libtool=yes @AMDEPBACKSLASH@
1111 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1112 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscirandlib_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscirandlib_la-sci_grand.lo `test -f 'sci_gateway/cpp/sci_grand.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_grand.cpp
1113
1114 .f.o:
1115         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
1116
1117 .f.obj:
1118         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1119
1120 .f.lo:
1121         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
1122
1123 mostlyclean-libtool:
1124         -rm -f *.lo
1125
1126 clean-libtool:
1127         -rm -rf .libs _libs
1128         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1129         -rm -rf src/c/.libs src/c/_libs
1130         -rm -rf src/cpp/.libs src/cpp/_libs
1131         -rm -rf src/fortran/.libs src/fortran/_libs
1132 install-libscirandlib_la_etcDATA: $(libscirandlib_la_etc_DATA)
1133         @$(NORMAL_INSTALL)
1134         @list='$(libscirandlib_la_etc_DATA)'; test -n "$(libscirandlib_la_etcdir)" || list=; \
1135         if test -n "$$list"; then \
1136           echo " $(MKDIR_P) '$(DESTDIR)$(libscirandlib_la_etcdir)'"; \
1137           $(MKDIR_P) "$(DESTDIR)$(libscirandlib_la_etcdir)" || exit 1; \
1138         fi; \
1139         for p in $$list; do \
1140           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1141           echo "$$d$$p"; \
1142         done | $(am__base_list) | \
1143         while read files; do \
1144           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscirandlib_la_etcdir)'"; \
1145           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscirandlib_la_etcdir)" || exit $$?; \
1146         done
1147
1148 uninstall-libscirandlib_la_etcDATA:
1149         @$(NORMAL_UNINSTALL)
1150         @list='$(libscirandlib_la_etc_DATA)'; test -n "$(libscirandlib_la_etcdir)" || list=; \
1151         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1152         dir='$(DESTDIR)$(libscirandlib_la_etcdir)'; $(am__uninstall_files_from_dir)
1153 install-libscirandlib_la_rootDATA: $(libscirandlib_la_root_DATA)
1154         @$(NORMAL_INSTALL)
1155         @list='$(libscirandlib_la_root_DATA)'; test -n "$(libscirandlib_la_rootdir)" || list=; \
1156         if test -n "$$list"; then \
1157           echo " $(MKDIR_P) '$(DESTDIR)$(libscirandlib_la_rootdir)'"; \
1158           $(MKDIR_P) "$(DESTDIR)$(libscirandlib_la_rootdir)" || exit 1; \
1159         fi; \
1160         for p in $$list; do \
1161           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1162           echo "$$d$$p"; \
1163         done | $(am__base_list) | \
1164         while read files; do \
1165           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscirandlib_la_rootdir)'"; \
1166           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscirandlib_la_rootdir)" || exit $$?; \
1167         done
1168
1169 uninstall-libscirandlib_la_rootDATA:
1170         @$(NORMAL_UNINSTALL)
1171         @list='$(libscirandlib_la_root_DATA)'; test -n "$(libscirandlib_la_rootdir)" || list=; \
1172         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1173         dir='$(DESTDIR)$(libscirandlib_la_rootdir)'; $(am__uninstall_files_from_dir)
1174 install-libscirandlib_la_sci_gatewayDATA: $(libscirandlib_la_sci_gateway_DATA)
1175         @$(NORMAL_INSTALL)
1176         @list='$(libscirandlib_la_sci_gateway_DATA)'; test -n "$(libscirandlib_la_sci_gatewaydir)" || list=; \
1177         if test -n "$$list"; then \
1178           echo " $(MKDIR_P) '$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)'"; \
1179           $(MKDIR_P) "$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)" || exit 1; \
1180         fi; \
1181         for p in $$list; do \
1182           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1183           echo "$$d$$p"; \
1184         done | $(am__base_list) | \
1185         while read files; do \
1186           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)'"; \
1187           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)" || exit $$?; \
1188         done
1189
1190 uninstall-libscirandlib_la_sci_gatewayDATA:
1191         @$(NORMAL_UNINSTALL)
1192         @list='$(libscirandlib_la_sci_gateway_DATA)'; test -n "$(libscirandlib_la_sci_gatewaydir)" || list=; \
1193         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1194         dir='$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1195
1196 ID: $(am__tagged_files)
1197         $(am__define_uniq_tagged_files); mkid -fID $$unique
1198 tags: tags-am
1199 TAGS: tags
1200
1201 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1202         set x; \
1203         here=`pwd`; \
1204         $(am__define_uniq_tagged_files); \
1205         shift; \
1206         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1207           test -n "$$unique" || unique=$$empty_fix; \
1208           if test $$# -gt 0; then \
1209             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1210               "$$@" $$unique; \
1211           else \
1212             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1213               $$unique; \
1214           fi; \
1215         fi
1216 ctags: ctags-am
1217
1218 CTAGS: ctags
1219 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1220         $(am__define_uniq_tagged_files); \
1221         test -z "$(CTAGS_ARGS)$$unique" \
1222           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1223              $$unique
1224
1225 GTAGS:
1226         here=`$(am__cd) $(top_builddir) && pwd` \
1227           && $(am__cd) $(top_srcdir) \
1228           && gtags -i $(GTAGS_ARGS) "$$here"
1229 cscopelist: cscopelist-am
1230
1231 cscopelist-am: $(am__tagged_files)
1232         list='$(am__tagged_files)'; \
1233         case "$(srcdir)" in \
1234           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1235           *) sdir=$(subdir)/$(srcdir) ;; \
1236         esac; \
1237         for i in $$list; do \
1238           if test -f "$$i"; then \
1239             echo "$(subdir)/$$i"; \
1240           else \
1241             echo "$$sdir/$$i"; \
1242           fi; \
1243         done >> $(top_builddir)/cscope.files
1244
1245 distclean-tags:
1246         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1247
1248 distdir: $(BUILT_SOURCES)
1249         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1250
1251 distdir-am: $(DISTFILES)
1252         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1253         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1254         list='$(DISTFILES)'; \
1255           dist_files=`for file in $$list; do echo $$file; done | \
1256           sed -e "s|^$$srcdirstrip/||;t" \
1257               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1258         case $$dist_files in \
1259           */*) $(MKDIR_P) `echo "$$dist_files" | \
1260                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1261                            sort -u` ;; \
1262         esac; \
1263         for file in $$dist_files; do \
1264           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1265           if test -d $$d/$$file; then \
1266             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1267             if test -d "$(distdir)/$$file"; then \
1268               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1269             fi; \
1270             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1271               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1272               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1273             fi; \
1274             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1275           else \
1276             test -f "$(distdir)/$$file" \
1277             || cp -p $$d/$$file "$(distdir)/$$file" \
1278             || exit 1; \
1279           fi; \
1280         done
1281 check-am: all-am
1282         $(MAKE) $(AM_MAKEFLAGS) check-local
1283 check: check-am
1284 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1285 installdirs:
1286         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscirandlib_la_etcdir)" "$(DESTDIR)$(libscirandlib_la_rootdir)" "$(DESTDIR)$(libscirandlib_la_sci_gatewaydir)"; do \
1287           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1288         done
1289 install: install-am
1290 install-exec: install-exec-am
1291 install-data: install-data-am
1292 uninstall: uninstall-am
1293
1294 install-am: all-am
1295         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1296
1297 installcheck: installcheck-am
1298 install-strip:
1299         if test -z '$(STRIP)'; then \
1300           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1301             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1302               install; \
1303         else \
1304           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1305             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1306             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1307         fi
1308 mostlyclean-generic:
1309
1310 clean-generic:
1311
1312 distclean-generic:
1313         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1314         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1315         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1316         -rm -f sci_gateway/cpp/$(am__dirstamp)
1317         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1318         -rm -f src/c/$(am__dirstamp)
1319         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1320         -rm -f src/cpp/$(am__dirstamp)
1321         -rm -f src/fortran/$(DEPDIR)/$(am__dirstamp)
1322         -rm -f src/fortran/$(am__dirstamp)
1323
1324 maintainer-clean-generic:
1325         @echo "This command is intended for maintainers to use"
1326         @echo "it deletes files that may require special tools to rebuild."
1327 clean: clean-am
1328
1329 clean-am: clean-generic clean-libtool clean-local \
1330         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1331
1332 distclean: distclean-am
1333                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Plo
1334         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Plo
1335         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Plo
1336         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Plo
1337         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Plo
1338         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Plo
1339         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Plo
1340         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Plo
1341         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Plo
1342         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Plo
1343         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Plo
1344         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Plo
1345         -rm -f src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Plo
1346         -rm -f Makefile
1347 distclean-am: clean-am distclean-compile distclean-generic \
1348         distclean-local distclean-tags
1349
1350 dvi: dvi-am
1351
1352 dvi-am:
1353
1354 html: html-am
1355
1356 html-am:
1357
1358 info: info-am
1359
1360 info-am:
1361
1362 install-data-am: install-data-local install-libscirandlib_la_etcDATA \
1363         install-libscirandlib_la_rootDATA \
1364         install-libscirandlib_la_sci_gatewayDATA
1365
1366 install-dvi: install-dvi-am
1367
1368 install-dvi-am:
1369
1370 install-exec-am: install-pkglibLTLIBRARIES
1371
1372 install-html: install-html-am
1373
1374 install-html-am: install-html-local
1375
1376 install-info: install-info-am
1377
1378 install-info-am:
1379
1380 install-man:
1381
1382 install-pdf: install-pdf-am
1383
1384 install-pdf-am:
1385
1386 install-ps: install-ps-am
1387
1388 install-ps-am:
1389
1390 installcheck-am:
1391
1392 maintainer-clean: maintainer-clean-am
1393                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscirandlib_la-sci_grand.Plo
1394         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-clcg2.Plo
1395         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-clcg4.Plo
1396         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-genbet.Plo
1397         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-ignbin.Plo
1398         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-igngeom.Plo
1399         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-ignpoi.Plo
1400         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-kiss.Plo
1401         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-mt.Plo
1402         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-sexpo.Plo
1403         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-sgamma.Plo
1404         -rm -f src/c/$(DEPDIR)/libscirandlib_algo_la-urand.Plo
1405         -rm -f src/cpp/$(DEPDIR)/libscirandlib_algo_la-grand.Plo
1406         -rm -f Makefile
1407 maintainer-clean-am: distclean-am maintainer-clean-generic
1408
1409 mostlyclean: mostlyclean-am
1410
1411 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1412         mostlyclean-libtool
1413
1414 pdf: pdf-am
1415
1416 pdf-am:
1417
1418 ps: ps-am
1419
1420 ps-am:
1421
1422 uninstall-am: uninstall-libscirandlib_la_etcDATA \
1423         uninstall-libscirandlib_la_rootDATA \
1424         uninstall-libscirandlib_la_sci_gatewayDATA \
1425         uninstall-pkglibLTLIBRARIES
1426
1427 .MAKE: check-am install-am install-strip
1428
1429 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1430         check-am check-local clean clean-generic clean-libtool \
1431         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1432         cscopelist-am ctags ctags-am distclean distclean-compile \
1433         distclean-generic distclean-libtool distclean-local \
1434         distclean-tags distdir dvi dvi-am html html-am info info-am \
1435         install install-am install-data install-data-am \
1436         install-data-local install-dvi install-dvi-am install-exec \
1437         install-exec-am install-html install-html-am \
1438         install-html-local install-info install-info-am \
1439         install-libscirandlib_la_etcDATA \
1440         install-libscirandlib_la_rootDATA \
1441         install-libscirandlib_la_sci_gatewayDATA install-man \
1442         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1443         install-ps install-ps-am install-strip installcheck \
1444         installcheck-am installdirs maintainer-clean \
1445         maintainer-clean-generic mostlyclean mostlyclean-compile \
1446         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1447         tags tags-am uninstall uninstall-am \
1448         uninstall-libscirandlib_la_etcDATA \
1449         uninstall-libscirandlib_la_rootDATA \
1450         uninstall-libscirandlib_la_sci_gatewayDATA \
1451         uninstall-pkglibLTLIBRARIES
1452
1453 .PRECIOUS: Makefile
1454
1455
1456 # This target enables tests for Scilab
1457 check-local: $(top_builddir)/scilab-bin test
1458         if test -d $(mydatadir)/tests; then \
1459           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1460         fi
1461 check-code:
1462         if test -f build.xml; then \
1463                 $(ANT) checkstyle; \
1464         fi
1465         if test -x "$(SPLINT)"; then \
1466                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1467         fi
1468 @NEED_JAVA_TRUE@java:
1469 # Some configurations needs to export JAVA_HOME in the current env
1470 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1471 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1472 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1473 @NEED_JAVA_TRUE@                $(ANT); \
1474 @NEED_JAVA_TRUE@        fi
1475
1476 @NEED_JAVA_TRUE@clean-java:
1477 # Some configurations needs to export JAVA_HOME in the current env
1478 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1479 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1480 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1481 @NEED_JAVA_TRUE@                $(ANT) clean; \
1482 @NEED_JAVA_TRUE@        fi;
1483
1484 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1485 # We call the target swig-build on the variable SWIG_WRAPPERS
1486
1487 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1488 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1489 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1490 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1491 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1492 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1493 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1494 @SWIG_TRUE@             done; \
1495 @SWIG_TRUE@     fi
1496
1497 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1498 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1499 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1500 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1501 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1502 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1503 @SWIG_TRUE@             done; \
1504 @SWIG_TRUE@     fi
1505
1506 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1507 # We call the target swig-build on the variable SWIG_WRAPPERS
1508
1509 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1510 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1511 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1512 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1513 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1514 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1515 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1516 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1517 @GIWS_TRUE@                     else \
1518 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1519 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1520 @GIWS_TRUE@                     fi \
1521 @GIWS_TRUE@             done; \
1522 @GIWS_TRUE@     fi
1523
1524 @GIWS_TRUE@giws-exception:
1525 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1526 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1527 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1528
1529 macros:
1530         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1531                 echo "Error : Cannot build $< : Scilab has not been built"; \
1532         else \
1533                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1534         fi)
1535
1536 # Removes the macros
1537 clean-macros:
1538 # Removes macros (*.bin generated from .sci)
1539         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1540                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1541                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1542         done
1543
1544 test:
1545 # More tests could be added here
1546         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1547         if test -f build.xml -a $$USEANT -eq 1; then \
1548                 $(ANT) test; \
1549         fi
1550
1551 all-local: $(TARGETS_ALL)
1552
1553 .sci.bin:
1554         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1555         echo "Error : Cannot build $< : Scilab has not been build"; \
1556         else \
1557         echo "Creating $@"; \
1558         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1559         fi )
1560
1561 install-html-local:
1562
1563 install-data-local-local:
1564 # Mainly for javasci
1565         @if test -d $(srcdir)/javadoc; then \
1566                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1567         fi
1568 # If the user wants the help sources to be installed
1569 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1570 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1571 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1572 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1573 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1574 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1575 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1576 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1577 @INSTALL_HELP_XML_TRUE@           done ; \
1578 @INSTALL_HELP_XML_TRUE@         fi; \
1579 @INSTALL_HELP_XML_TRUE@  fi; \
1580 @INSTALL_HELP_XML_TRUE@ done; \
1581 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1582 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1583 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1584 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1585 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1586 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1587 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1588 @INSTALL_HELP_XML_TRUE@           done ; \
1589 @INSTALL_HELP_XML_TRUE@         fi; \
1590 @INSTALL_HELP_XML_TRUE@ fi
1591 install-data-local:
1592 # Install the tests
1593         @echo "-------- Install tests (if any) --------"; \
1594         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1595           if test -d $(srcdir)/$$dir/; then \
1596             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1597                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1598                     if test -d "$(srcdir)/$$dir/$$file"; then \
1599                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1600                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1601                     else \
1602                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1603                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1604                     fi \
1605                   done; \
1606           fi; \
1607         done
1608 # Install the help chapter
1609         @echo "-------- Install the help chapter (if any) --------"; \
1610         for lang in $(HELP_CHAPTERLANG); do \
1611                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1612                 if test -f $$HELPFILE; then \
1613                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1614                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1615                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1616                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1617                 fi; \
1618         done
1619 # Install the demos & examples
1620         @echo "-------- Install demos & examples (if any) --------"; \
1621         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1622           if test -d $(srcdir)/$$dir/; then \
1623             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1624                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1625                     if test -d "$(srcdir)/$$dir/$$file"; then \
1626                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1627                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1628                     else \
1629                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1630                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1631                     fi \
1632                   done; \
1633           fi; \
1634         done
1635 # Install the macros
1636         @echo "-------- Install macros (if any) --------"; \
1637         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1638           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1639                 if test -d $(srcdir)/$$dir/; then \
1640                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1641                         if test -n "$(MACROSSPECIALEXT)"; then \
1642                                 specialExtDir=""; \
1643                                 for specialExt in $(MACROSSPECIALEXT); do \
1644                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1645                                 done; \
1646                                 FILELIST="$$FILELIST $$specialExtDir"; \
1647                         fi; \
1648                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1649                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1650                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1651                   done; \
1652                 fi; \
1653         done
1654 # Install java files (.jar)
1655         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1656         echo "-------- Install jar files --------"; \
1657     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1658           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1659                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1660                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1661           done ; \
1662         fi
1663
1664 ########### CLEAN ###################
1665 # Clean help (generated automatically by Scilab)
1666 # It used to clean the macro (clean-macros) but this was causing
1667 # make clean && make to fail Scilab startup
1668 @NEED_JAVA_TRUE@clean-local: clean-java
1669 @NEED_JAVA_FALSE@clean-local:
1670
1671 distclean-local:
1672         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1673
1674 .PHONY: macros java swig giws
1675
1676 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1677 # Otherwise a system limit (for SysV at least) may be exceeded.
1678 .NOEXPORT: